commit f851ac73443e959a0e537a4a2b7b8fce8bd7f1c5
Author: Jan Šedivý <honza.seeda@gmail.com>
Date:   Wed Apr 24 21:34:15 2019 +0200

    Re #7328 stylování select inputů pro nastavení zobrazování výsledků

diff --git a/app/FrontModule/component/Transliteration/TransliterationSearchResultList.latte b/app/FrontModule/component/Transliteration/TransliterationSearchResultList.latte
index 39f21e5..64988fb 100644
--- a/app/FrontModule/component/Transliteration/TransliterationSearchResultList.latte
+++ b/app/FrontModule/component/Transliteration/TransliterationSearchResultList.latte
@@ -1,49 +1,58 @@
 {snippet resultList}
     <div class="row h-100 pagination-header">
         <div class="col my-auto">
+            <div class="text-muted results-found">
+                Total results found: {$paginator->getItemCount()}
+            </div>
             {if $paginator->getPageCount() > 1}
-            <nav aria-label="Page navigation example">
-                <ul class="pagination">
-                    <li class="page-item">
-                        <a class="page-link" href="{link changePage!, $paginator->first()->getPageNumber(), $paginator->first()->getPageSize()}">
-                            <span aria-hidden="true">&laquo;</span>
-                            <span class="sr-only">First</span>
-                        </a>
-                    </li>
-                    <li class="page-item">
-                        <a class="page-link" href="{link changePage!, $paginator->previous()->getPageNumber(), $paginator->previous()->getPageSize()}">
-                            <span aria-hidden="true">&lsaquo;</span>
-                            <span class="sr-only">Previous</span>
-                        </a>
-                    </li>
-                    {for $i = $paginator->getStartingPage(); $i <= $paginator->getEndingPage(); $i++}
-                        <li class="page-item{if $paginator->getPageNumber() == $i} active{/if}">
-                            <a class="page-link" href="{link changePage!, $i, $paginator->getPageSize()}">
-                                {$i}
+                <nav aria-label="Page navigation example">
+                    <ul class="pagination">
+                        <li class="page-item">
+                            <a class="page-link"
+                               href="{link changePage!, $paginator->first()->getPageNumber(), $paginator->first()->getPageSize()}">
+                                <span aria-hidden="true">&laquo;</span>
+                                <span class="sr-only">First</span>
                             </a>
                         </li>
-                    {/for}
-                    <li class="page-item">
-                        <a class="page-link" href="{link changePage!, $paginator->next()->getPageNumber(), $paginator->next()->getPageSize()}">
-                            <span aria-hidden="true">&rsaquo;</span>
-                            <span class="sr-only">Next</span>
-                        </a>
-                    </li>
-                    <li class="page-item">
-                        <a class="page-link" href="{link changePage!, $paginator->last()->getPageNumber(), $paginator->last()->getPageSize()}">
-                            <span aria-hidden="true">&raquo;</span>
-                            <span class="sr-only">Last</span>
-                        </a>
-                    </li>
-                </ul>
-            </nav>
+                        <li class="page-item">
+                            <a class="page-link"
+                               href="{link changePage!, $paginator->previous()->getPageNumber(), $paginator->previous()->getPageSize()}">
+                                <span aria-hidden="true">&lsaquo;</span>
+                                <span class="sr-only">Previous</span>
+                            </a>
+                        </li>
+                        {for $i = $paginator->getStartingPage(); $i <= $paginator->getEndingPage(); $i++}
+                            <li class="page-item{if $paginator->getPageNumber() == $i} active{/if}">
+                                <a class="page-link" href="{link changePage!, $i, $paginator->getPageSize()}">
+                                    {$i}
+                                </a>
+                            </li>
+                        {/for}
+                        <li class="page-item">
+                            <a class="page-link"
+                               href="{link changePage!, $paginator->next()->getPageNumber(), $paginator->next()->getPageSize()}">
+                                <span aria-hidden="true">&rsaquo;</span>
+                                <span class="sr-only">Next</span>
+                            </a>
+                        </li>
+                        <li class="page-item">
+                            <a class="page-link"
+                               href="{link changePage!, $paginator->last()->getPageNumber(), $paginator->last()->getPageSize()}">
+                                <span aria-hidden="true">&raquo;</span>
+                                <span class="sr-only">Last</span>
+                            </a>
+                        </li>
+                    </ul>
+                </nav>
             {/if}
+
         </div>
-        <div class="col text-right my-auto">
-            <span class="text-muted align-middle">
-                Results found: {$paginator->getItemCount()} ({$paginator->getPageSize()} per page).
-            </span>
-        </div>
+            {form searchSettingsForm class => "form-inline"}
+            <div class="col text-right my-auto">
+                Results per page: {input limit class => "form-control form-control-sm search-settings-select"}<br>
+                Show adjacent lines: {input lines class => "form-control form-control-sm search-settings-select"}
+            </div>
+            {/form}
     </div>
 
     {foreach $resultRows as $result}
@@ -53,36 +62,33 @@
             {$result->book_abrev}, {$result->chapter}
         </a>
         <div>
-            <span class="lineno linefound">{$result->line_number}.</span>
-            <span class="line">{$result->transliteration}</span>
+            <span class="linefound">{$result->line_number}.</span>
+            <span>{$result->transliteration}</span>
         </div>
 
     {/foreach}
 
-    {control searchSettingsForm}
-
-
-{block scripts}
-    <script>
-        $(document).ready(function () {
-            $('select[name="limit"]').change(function () {
-                let limit = this.value;
+    {block scripts}
+        <script>
+            $(document).ready(function () {
+                $('select[name="limit"]').change(function () {
+                    let limit = this.value;
 
-                $.nette.ajax({
-                    url: {link changeLimit!},
-                    data: {'limit': limit}
-                })
-            });
+                    $.nette.ajax({
+                        url: {link changeLimit!},
+                        data: {'limit': limit}
+                    })
+                });
 
-            $('select[name="lines"]').change(function () {
-                let lines = this.value;
+                $('select[name="lines"]').change(function () {
+                    let lines = this.value;
 
-                $.nette.ajax({
-                    url: {link changeLines!},
-                    data: {'lines': lines}
-                })
-            });
-        })
-    </script>
-{/block}
+                    $.nette.ajax({
+                        url: {link changeLines!},
+                        data: {'lines': lines}
+                    })
+                });
+            })
+        </script>
+    {/block}
 {/snippet}
\ No newline at end of file
diff --git a/www/css/front/style.css b/www/css/front/style.css
index 2bbf85d..02ae8fd 100644
--- a/www/css/front/style.css
+++ b/www/css/front/style.css
@@ -63,4 +63,25 @@ body {
 
 .required{
     font-weight: bold;
+}
+
+.linefound {
+    font-weight: 600;
+}
+
+.found {
+    font-weight: 600;
+    color: #003366;
+}
+
+.search-settings-select {
+    width: 60px;
+}
+
+.form-group.search-settings-row {
+    margin-bottom: 0;
+}
+
+.results-found {
+    margin-bottom: 0.2em;
 }
\ No newline at end of file