commit 1113d101cd6e38ef95ca3d079378c8cfedbf4b43
Author: Marek Sobota <sobotama@students.zcu.cz>
Date:   Tue May 7 14:35:59 2019 +0200

    Začátek provázání GUI a zbytku programu (Re #7320)

diff --git a/src/data/BitmapBuilder.java b/src/data/BitmapBuilder.java
index ab0800b..1b1c1fd 100644
--- a/src/data/BitmapBuilder.java
+++ b/src/data/BitmapBuilder.java
@@ -3,11 +3,20 @@ package data;
 import java.io.File;
 import java.util.ArrayList;
 
+import gui.Window;
+
 public class BitmapBuilder {
 
     ArrayList<JDFPevnykodRecord> pevnykod = new ArrayList<>();
     ArrayList<JDFCaskodyRecord> caskody = new ArrayList<>();
     ArrayList<JDFSpojeRecord> spoje = new ArrayList<>();
+    
+    private Window window;
+    
+    public BitmapBuilder(Window window){
+    	this.window = window;
+    	window.printMessage("Vytvořen BitmapBuilder");
+    }
 
     /**
      *
@@ -16,7 +25,7 @@ public class BitmapBuilder {
      *
      * @param args parametry programu
      */
-    public static void main(String[] args) {
+    /*public static void main(String[] args) {
         ArrayList<String[]> loadedData;
 
         BitmapBuilder bitmapBuilder= new BitmapBuilder();
@@ -35,7 +44,7 @@ public class BitmapBuilder {
         loadedData = loader.loadData("Spoje.txt");
         bitmapBuilder.getSpoje(loadedData);
         System.out.println("Ukončuji program..");
-    }
+    }*/
 
     public void getPevnyKod(ArrayList<String[]> loadedData){
         JDFPevnykodRecord pevnykodRecord;
diff --git a/src/gui/Window.java b/src/gui/Window.java
index 29c16f2..e632081 100644
--- a/src/gui/Window.java
+++ b/src/gui/Window.java
@@ -11,6 +11,7 @@ import java.io.File;
 import java.text.DateFormat;
 import java.text.ParseException;
 import java.text.SimpleDateFormat;
+import java.util.ArrayList;
 import java.util.Calendar;
 import java.util.Date;
 import java.util.Properties;
@@ -30,6 +31,9 @@ import org.jdatepicker.impl.JDatePanelImpl;
 import org.jdatepicker.impl.JDatePickerImpl;
 import org.jdatepicker.impl.UtilDateModel;
 
+import data.BitmapBuilder;
+import data.DataLoader;
+
 /**
  * 
  * Zakladni okno aplikace, zprostredkovava vstupy od uzivatele
@@ -279,6 +283,10 @@ public class Window extends JFrame{
 		infoTA.append(message + "\n");
 	}
 
+	private BitmapBuilder createBitmapBuilder(){
+		return new BitmapBuilder(this);
+	}
+	
 	/**
 	 * 
 	 * Listener pro potvrzovaci tlacitko, kontroluje, jestli vsechna zadana data jsou platna
@@ -297,34 +305,63 @@ public class Window extends JFrame{
 		 * @param arg0 kod udalosti
 		 */
 		public void actionPerformed(ActionEvent arg0) {
-			//kontrola jestli jsou obdobi zadana a ve spravnem poradi a jestli jsou cesty vyplněny
+			if(!inputCheck()){
+				return;
+			}
+			changeToInfo();
+			ArrayList<String[]> loadedData;
+
+	        BitmapBuilder bitmapBuilder = createBitmapBuilder();
+	        //loader pro načtení dat
+	        DataLoader loader = new DataLoader(jdfDir);
+
+	        //načítání konkrétních dat
+	        loadedData = loader.loadData(PEVNY_KOD);
+	        bitmapBuilder.getPevnyKod(loadedData);
+
+	        loadedData.clear();
+	        loadedData = loader.loadData(CASKODY);
+	        bitmapBuilder.getCaskody(loadedData);
+
+	        loadedData.clear();
+	        loadedData = loader.loadData(SPOJE);
+	        bitmapBuilder.getSpoje(loadedData);
+	        printMessage("Ukončuji program..");
+			
+		}
+		
+		/**
+		 * kontrola jestli jsou obdobi zadana a ve spravnem poradi a jestli jsou cesty vyplněny
+		 */
+		private boolean inputCheck(){
 			if(spojFile == null || jdfDir == null || outputFile == null){
 				JOptionPane.showMessageDialog(null, "Nejsou vybrany potrebne soubory/slozky", 
 						"Varovani", JOptionPane.WARNING_MESSAGE);
-				return;
+				return false;
 			}
 			if(dateTo == null || dateFrom == null){
 				JOptionPane.showMessageDialog(null, "Neni zadano datum", 
 						"Varovani", JOptionPane.WARNING_MESSAGE);
-				return;
+				return false;
 			}
 			if(dateTo.compareTo(dateFrom) < 0){
 				JOptionPane.showMessageDialog(null, "Zacatek obdobi je po konci obdobi", 
 						"Varovani", JOptionPane.WARNING_MESSAGE);
-				return;
+				return false;
 			}
-			String outputName = outputNameTF.getText();
+			String outputName = outputNameTF.getText().trim();
 			if(outputName.length() < 1){
 				JOptionPane.showMessageDialog(null, "Nezadano jmeno vystupniho souboru", 
 						"Varovani", JOptionPane.WARNING_MESSAGE);
-				return;
+				return false;
 			}
 			
 			if(!outputName.endsWith(".txt")){
 				outputName += ".txt";
 			}
-			//outputFile = new File(outputFile.getAbsolutePath() + File.separator + outputName);
-			changeToInfo();
+			outputFile = new File(outputFile.getAbsolutePath() + File.separator + outputName);
+			
+			return true;
 		}
 		
 	}